# KVÅ (KKÅ/KMÅ)

## KKÅ

First, create the KKÅ Code System:

```
POST /codesystems
{
  "id": "kva-kirurgiska",
  "url": "http://klassifikationer.socialstyrelsen.se/kva-kirurgiska",
  "title": "KVÅ – kirurgiska åtgärder (KKÅ)",
  "language": "se",
  "description": "# Klassifikation av kirurgiska åtgärder",
  "status": "active",
  "owner": "ownerUserId",
  "copyright": "",
  "contact": "klassif@socialstyrelsen.se - Avdelningen för register och statistik, Enheten för klassifikationer och terminologi",
  "oid": "1.2.752.116.1.3.2.3.6",
  "toolingId": "lcs",
  "settings": {
    "publisher": "Socialstyrelsen",
    "isPublic": true
  }
}
```

Then, import the concepts from the official TSV file:

```
POST /lcs/kva-kirurgiska/import?idColumn=Kod&ptColumn=Titel&synonymColumns=Förkortning(ar)&synonymColumns=Beskrivning&parentColumn=Överordnad%20kod&locale=se -F "file=@kva-kirurgiska-atgarder-kka-2024-01-01.tsv"
```

And last, create a new version to mark the content:

```
POST /versions
{
  "resource": "codesystems/kva-kirurgiska",
  "version": "2024-01-01",
  "description": "2024-01-01 release",
  "effectiveTime": "2024-01-01"
}
```

## KMÅ

First, create the KMÅ Code System:

```
POST /codesystems
{
  "id": "kva-medicinska",
  "url": "http://klassifikationer.socialstyrelsen.se/kva-medicinska",
  "title": "KVÅ – medicinska åtgärder (KMÅ)",
  "language": "se",
  "description": "# Klassifikation av medicinska åtgärder",
  "status": "active",
  "owner": "ownerUserId",
  "copyright": "",
  "contact": "klassif@socialstyrelsen.se - Avdelningen för register och statistik, Enheten för klassifikationer och terminologi",
  "oid": "1.2.752.116.1.3.2.3.5",
  "toolingId": "lcs",
  "settings": {
    "publisher": "Socialstyrelsen",
    "isPublic": true
  }
}
```

Then, import the concepts from the official TSV file:

```
POST /lcs/kva-medicinska/import?idColumn=Kod&ptColumn=Titel&synonymColumns=Beskrivning&parentColumn=Överordnad%20kod&locale=se -F "file=@kva-medicinska-atgarder-kma-2024-01-01.tsv"
```

And last, create a new version to mark the content:

```
POST /versions
{
  "resource": "codesystems/kva-medicinska",
  "version": "2024-01-01",
  "description": "2024-01-01 release",
  "effectiveTime": "2024-01-01"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2ihealthcare.com/snow-owl/9.x/terminology-standards/socialstyrelsen-standards/kva-kka-kma.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
